
TYPO3.Kickstart - Bug # 34322

Status: Resolved Priority: Should have
Author: ToBe Category:
Created: 2012-02-27 Assigned To: Christian Müller
Updated: 2012-07-09 Due date:
Affected Flow version: FLOW3 1.0.0
Subject: ./flow3 kickstart:package produces Uncaught Exception
Description

./flow3 kickstart:package MyCompany.Dummy1 
ends in an Uncaught Exception Class MyCompany\Dummy1\Controller\StandardController does not exist

tobe@DebianSamsungP400:/mnt/iscsi_shared/www/flow3$ ./flow3 kickstart:package MyCompany.Dummy1
Created .../MyCompany.Dummy1/Classes/Controller/StandardController.php
Created .../MyCompany.Dummy1/Resources/Private/Templates/Standard/Index.html

tobe@DebianSamsungP400:/mnt/iscsi_shared/www/flow3$ ./flow3 package:list
Uncaught Exception
  Class MyCompany\Dummy1\Controller\StandardController does not exist

More Information
  Exception code      #-1
  File                /mnt/iscsi_shared_local/www/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Reflection/ReflectionService.php
line 962

ACTIVE PACKAGES:
 Doctrine.Common          2.2.0          Doctrine Common
 Doctrine.DBAL            2.2.1          Doctrine DBAL
 Doctrine.ORM             2.2.0          Doctrine ORM
 MyCompany.Dummy1
 Symfony.Component.Yaml   2.1.0          Symfony Components YAML Library
 TYPO3.FLOW3              1.0.0          FLOW3
 TYPO3.Fluid              1.0.0          Fluid Templating Framework
 TYPO3.Kickstart          1.0.0          FLOW3 Kickstarter
 TYPO3.Party              1.0.0          Party Information Framework
 TYPO3.Welcome            1.0.0          Welcome package with default view for FLOW3

I tried it many times at different symstems and hardware, and yes the file is created and filled with content...

The bug happens often, my workaround is to

kickstart:package MyCompany:Dymmy1
kickstart:package MyCompany:Dymmy2
package:delete MyCompany:Dymmy2

and now ./flow3 package:list runs without failures.
History
#1 - 2012-03-07 14:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9452

#2 - 2012-03-07 14:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9452

#3 - 2012-03-09 16:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#4 - 2012-03-09 16:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#5 - 2012-03-09 22:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#6 - 2012-07-09 18:05 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Assigned To set to Christian Müller
- % Done changed from 0 to 100
